package com.sourcefellows.patterns.remotefacade;

public class BookingClient {

    private BookingFacade bookingFacade;

    public void book() {

        // Hotelbuchung über die Fassade
        String userId = "123";
        String hotelId = "456";
        String paymentDetails = "Kreditkarte: 1111-2222-3333-4444";

        try {
            var response = bookingFacade.bookHotel(userId, hotelId, paymentDetails);
            System.out.println(response.getStatus());
        } catch (Exception e) {
            System.err.println("Fehler: " + e.getMessage());
        }
    }
}

